public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cycler/
Date: Sun,  1 Mar 2020 03:32:29 +0000 (UTC)	[thread overview]
Message-ID: <1583033541.87a36fbbda1df65b06497dd3e98bbc29be1bbc63.grozin@gentoo> (raw)

commit:     87a36fbbda1df65b06497dd3e98bbc29be1bbc63
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  1 03:32:21 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sun Mar  1 03:32:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87a36fbb

dev-python/cycler: add python3_8

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 dev-python/cycler/cycler-0.10.0-r1.ebuild | 36 +++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-python/cycler/cycler-0.10.0-r1.ebuild b/dev-python/cycler/cycler-0.10.0-r1.ebuild
new file mode 100644
index 00000000000..3d35c2755ac
--- /dev/null
+++ b/dev-python/cycler/cycler-0.10.0-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_PN="Cycler"
+
+DESCRIPTION="Composable style cycles"
+HOMEPAGE="
+	https://matplotlib.org/cycler/
+	https://pypi.org/project/Cycler/
+	https://github.com/matplotlib/cycler"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+# Not shipped
+# https://github.com/matplotlib/cycler/issues/21
+RESTRICT=test
+
+python_test() {
+	nosetests --verbosity=3 || die
+}


             reply	other threads:[~2020-03-01  3:32 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-01  3:32 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-17 14:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/cycler/ Michał Górny
2024-05-17 14:31 Michał Górny
2023-11-02  5:19 Michał Górny
2023-11-01 19:03 Arthur Zamarin
2023-10-08 17:48 Michał Górny
2023-09-29  4:50 Michał Górny
2023-05-26 20:26 Arthur Zamarin
2023-02-19 19:46 Michał Górny
2023-02-19 19:46 Michał Górny
2022-06-26 17:53 Michał Górny
2022-06-26 17:24 Arthur Zamarin
2022-05-25 18:01 Arthur Zamarin
2022-05-25 18:01 Arthur Zamarin
2022-01-30 22:23 James Le Cuirot
2021-12-02 20:14 Michał Górny
2021-12-02 19:58 Sam James
2021-12-02 19:58 Sam James
2021-12-02 19:52 Sam James
2021-12-02 19:52 Sam James
2021-12-02 13:33 Arthur Zamarin
2021-12-02 11:02 Agostino Sarubbo
2021-12-02  8:54 Jakov Smolić
2021-10-29  9:16 Michał Górny
2021-09-07 18:34 Sam James
2021-09-06 23:56 Sam James
2021-09-06 23:54 Sam James
2021-09-06 23:49 Sam James
2021-08-17  1:42 Sam James
2021-07-28 15:58 Sergei Trofimovich
2021-06-20  1:55 Sam James
2021-05-07 11:58 Michał Górny
2020-09-18 14:36 Michał Górny
2020-06-05 16:03 Michał Górny
2020-06-05 16:03 Michał Górny
2020-05-04  6:16 Mart Raudsepp
2020-05-03 19:02 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2018-03-19 23:05 Sergei Trofimovich
2018-03-16 21:19 Michał Górny
2018-01-09  0:10 Mikle Kolyada
2018-01-08 22:50 Thomas Deutschmann
2017-07-14 12:12 Alexis Ballier
2017-05-03  7:37 Michał Górny
2017-03-10 11:18 Zac Medico
2016-02-16 10:19 Justin Lecher
2015-10-21 13:41 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583033541.87a36fbbda1df65b06497dd3e98bbc29be1bbc63.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox